Colombia

Sample structures of the E_KYC_CHECK API responses for Colombia NUIP Verification (col_gov_runt_ani).

GREEN

The following response example represents successful checks, when the applicant has passed Non-Doc Identity Verification, and their data has been successfully obtained from the government database.

{
  "checks": [
    {
      "answer": "GREEN",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2026-06-01 13:40:07",
      "id": "5572d372-42da-4880-9787-4813e31b2469",
      "inputDoc": {
        "idDocType": "ID_CARD",
        "country": "COL",
        "number": "9876543220"
      },
      "extractedDoc": {
        "country": "COL",
        "number": "9876543220",
        "firstName": "JUAN",
        "lastName": "DIAZ",
        "gender": "M",
        "dob": "2000-05-24",
        "additionalFields": [
          {
            "name": "documentStatus",
            "value": "VALID"
          }
        ]
      },
      "databasePersonCheckInfo": {},
      "ekycCheckInfo": {
        "externalFaceMatch": true,
        "faceMatchAnswer": "GREEN",
        "selfieImageId": 426366328
      }
    }
  ]
}

YELLOW

The following example illustrates a case where the verification process is still in progress and the applicant has not yet completed all required steps.

{
  "checks": [
    {
      "answer": "YELLOW",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2026-06-01 14:10:51",
      "id": "bc3dba93-a2c1-4b7d-a288-e1816e49b74c",
      "inputDoc": {
        "idDocType": "ID_CARD",
        "country": "COL",
        "number": "9876543220"
      },
      "ekycCheckInfo": {
        "externalFaceMatch": true
      }
    }
  ]
}

RED

The following response example represents a rejection case, when the applicant has not passed Non-Doc Identity Verification due to a data mismatch or absence of information in the database.

{
  "checks": [
    {
      "answer": "RED",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2026-06-01 14:05:34",
      "id": "a26d8447-e373-4eb1-92e9-457ea59037d5",
      "inputDoc": {
        "idDocType": "ID_CARD",
        "country": "COL",
        "number": "9876543002"
      },
      "ekycCheckInfo": {
        "externalFaceMatch": true
      },
      "violations": [
        "DATA_NOT_FOUND",
        "INVALID_ID_STATUS",
        "DEAD",
        "PERSON_IS_MINOR",
        "SELFIE_MISMATCH"
      ]
    }
  ]
}

Response explained

The response represents a list of checks.

📘

Note

For the complete common response structure, see the parent page. The section below describes Colombia NUIP Verification (col_gov_runt_ani) details.

additionalFields element fields

An array of key-value pairs providing non-standard additional information. The following table explains the possible keys.

FieldTypeDescription
documentStatusStringValidity status of the document. Possible values are the following:
  • VALID — The document has been successfully verified and is considered valid.
  • INVALID — The document has been verified and determined to be invalid.
  • PENDING — The document verification is still in progress, and the final status is not yet available.